.product-card {
    position: relative;

    > a {
        &:hover,
        &:focus {
            text-decoration: none;

            .product-card__product-name {
                text-decoration: underline;
            }
        }
    }

    &__labels {
        position: absolute;
        top: 10px;
        left: 12px;
        z-index: 3;

        .label {
            border-radius: 0;
        }

        .label-info {
            background-color: @black;
            color: @white;
        }
    }

    &__user-actions {
        position: absolute;
        top: 10px;
        right: 12px;
        z-index: 3;

        .add-to-wishlist {
            background: transparent;
            svg {
                width: 24px;
                height: 24px;
            }
        }
    }

    &__image-wrap {
        position: relative;
        border: 1px solid @border-color;

        &::before {
            content: "";
            display: block;
            position: relative;
            padding-top: 100%;
        }

        &:hover {
            .product-card__image-hover {
                display: block !important;
                z-index: 2;
            }
        }
    }

    &__image,
    &__image-hover {
        background-position: 50%;
        background-size: cover;
        background-repeat: no-repeat;
        position: absolute;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
    }

    &__detail-wrap__line {
        @media (min-width: @screen-sm-min) {
            display: flex;
            justify-content: space-between;
        }

        + .product-card__detail-wrap__line {
            @media (min-width: @screen-sm-min) {
                margin-top: 5px;
            }
        }
    }

    &__supplier-name {
        text-transform: uppercase;
        font-size: @font-size-smaller;
        font-weight: 500;
    }

    &__rating {}

    &__product-name {
        font-weight: 700;
        font-size: @font-size-large;
        font-family: @headings-font-family;
        letter-spacing: @headings-letter-spacing;
    }

    &__product-price {
        .lead {
            font-size: @font-size-large;
            font-weight: 500;
            margin: 0;
            line-height: 1;

            strong {
                font-weight: inherit;
            }
        }
    }
}
